View Issue Details

IDProjectCategoryView StatusLast Update
0004898GNUnetDNS servicepublic2019-02-28 11:17
ReportermiroRAssigned TolynX 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Platformamd64OSlinuxOS VersionGentoo
Product Version0.10.1 
Target Version0.11.0Fixed in Version0.11.0 
Summary0004898: dependency net-dns/dnssec-root-20150403 checksum fails
Description>>> Emerging (1 of 8) net-dns/dnssec-root-20150403::gentoo
* Fetching files in the background.
* To view fetch progress, run in another terminal:
* tail -f /var/log/emerge-fetch.log
>>> Downloading 'http://192.168.2.4/gentoom//distfiles/root-anchors-20100715.xml'
>>> Downloading 'http://192.168.2.4/gentoom/distfiles/root-anchors-20100715.xml'
>>> Downloading 'http://data.iana.org/root-anchors/root-anchors.xml'
!!! Couldn't download 'root-anchors-20100715.xml'. Aborting.
* Fetch failed for 'net-dns/dnssec-root-20150403', Log file:
* '/var/log/portage/net-dns:dnssec-root-20150403:20170217-134347.log'

>>> Failed to emerge net-dns/dnssec-root-20150403, Log file:
Steps To Reproduceemerge gnunet
Additional Informationhttps://wiki.gentoo.org/wiki/Overlay_Talk:Youbroketheinternet

and

gnunet dependency dnssec-root checksum fail for 7 yrs old IANA XML
https://lists.gt.net/gentoo/user/323337

Also I was suggested to report here by ng0, see:

https://secure-os.org/pipermail/desktops/2017-February/000171.html

Regards!
TagsNo tags attached.

Activities

miroR

2017-02-18 16:52

reporter   ~0011777

As ng0 pointed out to me again (just a short while ago in the sucure-os thread linked above), it is like up to Gentoo team in charge to solve this issue, so I just filed:

youbroketheinternet's gnunet dependency net-dns/dnssec-root-20150403 checksum fail
https://gnunet.org/bugs/view.php?id=4898

Regards!

miroR

2017-02-18 16:53

reporter   ~0011778

Sorry! I meant to paste:

youbroketheinternet's gnunet dependency net-dns/dnssec-root-20150403 checksum fail
https://bugs.gentoo.org/show_bug.cgi?id=609740

miroR

2017-02-18 18:09

reporter   ~0011779

The issue appears to have been solved. Issue with either my local mirror, or portage. See the gentoo bug above, pls..

lynX

2017-02-19 16:52

developer   ~0011787

I have no idea why gentoo has this very unstable version "net-dns/dnssec-root-20150403" in portage, but it is clearly marked unstable, so in a regular Gentoo configuration it shouldn't have happened, that an unstable version of a package gets installed.

Maybe you experimented with ACCEPT_KEYWORDS in make.conf?

miroR

2017-02-19 22:10

reporter   ~0011788

lynX wrote:
> I have no idea why gentoo has this very unstable version
> "net-dns/dnssec-root-20150403" in portage, but it is clearly marked unstable,
> so in a regular Gentoo configuration it shouldn't have happened, that an
> unstable version of a package gets installed.
>
> Maybe you experimented with ACCEPT_KEYWORDS in make.conf?
Nope! I realy didn't, back then.
I did have later on, after having solved that,to install gnunet from git and not from subversion repo...

Just to be in the clear. Thanks for these, so far (only _just_ installed, not yet used) very interesting programs!

Issue History

Date Modified Username Field Change
2017-02-18 14:17 miroR New Issue
2017-02-18 16:52 miroR Note Added: 0011777
2017-02-18 16:53 miroR Note Added: 0011778
2017-02-18 18:09 miroR Note Added: 0011779
2017-02-18 19:02 Christian Grothoff Assigned To => lynX
2017-02-18 19:02 Christian Grothoff Status new => assigned
2017-02-19 16:52 lynX Status assigned => resolved
2017-02-19 16:52 lynX Resolution open => not fixable
2017-02-19 16:52 lynX Note Added: 0011787
2017-02-19 22:10 miroR Status resolved => feedback
2017-02-19 22:10 miroR Resolution not fixable => reopened
2017-02-19 22:10 miroR Note Added: 0011788
2018-06-23 17:27 lynX Status feedback => resolved
2018-06-23 17:27 lynX Resolution reopened => fixed
2019-02-12 09:20 Christian Grothoff Target Version => 0.11.0
2019-02-20 12:24 Christian Grothoff Fixed in Version => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed